<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Theme extends Model 
{

    protected $table = 'themes';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('year_subject_id');

    public function year_subject()
    {
        return $this->belongsTo('Yearsubject');
    }

    public function exercises()
    {
        return $this->hasMany('Exercise');
    }

    public function links()
    {
        return $this->hasMany('Link');
    }

}